Subject: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version

From: Kenichi Handa <[email-masked]>
Date: Thu, 02 Jan 2014 10:49:09 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > If you agree, I'll delete mule-charset.el and add proper
> > information to admin/charsets/mapfiles/README.

> I'm not sure we can distribute generated files without the programs
> that generated them.

They are not "generated files" in the same sence as, for
instance, PTCP154 is not a "generated file".

The files etc/charsets/MULE-*.map can not be generated
without an external source, and, in this case, that external
source is the ucs-tables.el in Emacs 22.  That situation is
the same as that etc/charsets/PTCP154.map can not be
generated without the external source
http://www.iana.org/assignments/charset-reg/PTCP154.

I don't know how
http://www.iana.org/assignments/charset-reg/PTCP154 is
generated and don't have a program to generate it.

Of course they both (and all othere charset maps) can be
generated if we have a running Emacs, but we don't have a
program to generate all of them.

> And even if we could, deleting a file because we
> don't want to maintain it sounds too drastic to me.

mule-charset.el is not what to be maintained.  It was once
used to generate MULE-*.map from Emacs 22.  It has already
finished the main role.  The only remaining role is to tell
peaple the origin of those map files as written in
admin/charsets/mapfiles/README:

------------------------------------------------------------
* MULE-*.map.gz

Created by using ../mule-charsets.el in Emacs 22 as this:
    % emacs-22 -batch -l ../mule-charsets.el
------------------------------------------------------------

> Why is it a problem to make changes in mule-charsets.el so that it
> could work both with Emacs 22 and with the latest versions of Emacs?

Because we don't have a reasonable explanation why we have
that file and keep it runnable with the latest Emacs.

> What do we lose if we make such a change in mule-charsets.el?

We will waste a time of future maintainers who must keep
that file runnable with the latest Emacs.  It's a waste
because such an effort yields nothing.

---
Kenichi Handa
[email-masked]